<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Wowa extends Model
{
    const STATE_CREATED = "CREATED";
    const STATE_QUEUED = "QUEUED";
    const STATE_RUNNING = "RUNNING";
    const STATE_SUCCESS = "SUCCESS";
    const STATE_FAILED = "FAILED";

    public static $status_classes = [
        self::STATE_SUCCESS => "btn-success",
        self::STATE_FAILED => "btn_danger"
    ];

    private function getStatusBadgeClass()
    {
        $status = $this->status;
        if (!isset(self::$status_classes[$status])) {
            return "btn-primary";
        }

        return self::$status_classes[$status];
    }

    public function statusBadge()
    {
        return "<span class='btn btn-badge btn-sm "
            . $this->getStatusBadgeClass() . "'>" . $this->status . "</span>";
    }

    public function displayWeights(String $weights)
    {
        if ($weights == null) {
            return;
        }
        $values = explode(",", $weights);
        foreach ($values as $el) {
            echo $el . "\n\n";
        }
    }
}
